predefined_ops.h File Reference

Go to the source code of this file.

## Namespaces

namespace | __gnu_cxx

## Functions

template<typename _Compare >
_GLIBCXX14_CONSTEXPR _Iter_comp_iter< _Compare > | __gnu_cxx::__ops::__iter_comp_iter (_Compare __comp)
template<typename _Compare , typename _Iterator >
_Iter_comp_to_iter< _Compare, _Iterator > | __gnu_cxx::__ops::__iter_comp_iter (_Iter_comp_iter< _Compare > __comp, _Iterator __it)
template<typename _Iterator >
_Iter_equals_iter< _Iterator > | __gnu_cxx::__ops::__iter_comp_iter (_Iter_equal_to_iter, _Iterator __it)
template<typename _Compare >
_Iter_comp_val< _Compare > | __gnu_cxx::__ops::__iter_comp_val (_Compare __comp)
template<typename _Compare , typename _Value >
_Iter_comp_to_val< _Compare, _Value > | __gnu_cxx::__ops::__iter_comp_val (_Compare __comp, _Value &__val)
template<typename _Compare >
_Iter_comp_val< _Compare > | __gnu_cxx::__ops::__iter_comp_val (_Iter_comp_iter< _Compare > __comp)
_Iter_equal_to_val | __gnu_cxx::__ops::__iter_comp_val (_Iter_equal_to_iter)
_Iter_less_val | __gnu_cxx::__ops::__iter_comp_val (_Iter_less_iter)
_Iter_equal_to_iter | __gnu_cxx::__ops::__iter_equal_to_iter ()
_Iter_equal_to_val | __gnu_cxx::__ops::__iter_equal_to_val ()
template<typename _Value >
_Iter_equals_val< _Value > | __gnu_cxx::__ops::__iter_equals_val (_Value &__val)
_GLIBCXX14_CONSTEXPR _Iter_less_iter | __gnu_cxx::__ops::__iter_less_iter ()
_Iter_less_val | __gnu_cxx::__ops::__iter_less_val ()
template<typename _Predicate >
_Iter_negate< _Predicate > | __gnu_cxx::__ops::__negate (_Iter_pred< _Predicate > __pred)
template<typename _Predicate >
_Iter_pred< _Predicate > | __gnu_cxx::__ops::__pred_iter (_Predicate __pred)
template<typename _Compare >
_Val_comp_iter< _Compare > | __gnu_cxx::__ops::__val_comp_iter (_Compare __comp)
template<typename _Compare >
_Val_comp_iter< _Compare > | __gnu_cxx::__ops::__val_comp_iter (_Iter_comp_iter< _Compare > __comp)
_Val_less_iter | __gnu_cxx::__ops::__val_comp_iter (_Iter_less_iter)
_Val_less_iter | __gnu_cxx::__ops::__val_less_iter ()

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly. Instead, include <algorithm>.

Definition in file predefined_ops.h.

## Function Documentation

## __iter_comp_iter() [1/3]

template<typename _Compare >

_GLIBCXX14_CONSTEXPR _Iter_comp_iter< _Compare > __gnu_cxx::__ops::__iter_comp_iter | ( | _Compare | __comp | ) |

inline

Definition at line 149 of file predefined_ops.h.

## __iter_comp_iter() [2/3]

template<typename _Compare , typename _Iterator >

_Iter_comp_to_iter< _Compare, _Iterator > __gnu_cxx::__ops::__iter_comp_iter | ( | _Iter_comp_iter< _Compare > | __comp,
|  | _Iterator | __it
| ) |  |

inline

Definition at line 332 of file predefined_ops.h.

## __iter_comp_iter() [3/3]

template<typename _Iterator >

_Iter_equals_iter< _Iterator > __gnu_cxx::__ops::__iter_comp_iter | ( | _Iter_equal_to_iter | ,
|  | _Iterator | __it
| ) |  |

inline

Definition at line 267 of file predefined_ops.h.

## __iter_comp_val() [1/5]

template<typename _Compare >

_Iter_comp_val< _Compare > __gnu_cxx::__ops::__iter_comp_val | ( | _Compare | __comp | ) |

inline

Definition at line 182 of file predefined_ops.h.

## __iter_comp_val() [2/5]

template<typename _Compare , typename _Value >

_Iter_comp_to_val< _Compare, _Value > __gnu_cxx::__ops::__iter_comp_val | ( | _Compare | __comp,
|  | _Value & | __val
| ) |  |

Definition at line 309 of file predefined_ops.h.

## __iter_comp_val() [3/5]

template<typename _Compare >

_Iter_comp_val< _Compare > __gnu_cxx::__ops::__iter_comp_val | ( | _Iter_comp_iter< _Compare > | __comp | ) |

inline

Definition at line 187 of file predefined_ops.h.

## __iter_comp_val() [4/5]

_Iter_equal_to_val __gnu_cxx::__ops::__iter_comp_val | ( | _Iter_equal_to_iter |  | ) |

inline

Definition at line 126 of file predefined_ops.h.

## __iter_comp_val() [5/5]

_Iter_less_val __gnu_cxx::__ops::__iter_comp_val | ( | _Iter_less_iter |  | ) |

inline

Definition at line 73 of file predefined_ops.h.

## __iter_equal_to_iter()

_Iter_equal_to_iter __gnu_cxx::__ops::__iter_equal_to_iter | ( |  | ) |

inline

Definition at line 110 of file predefined_ops.h.

## __iter_equal_to_val()

_Iter_equal_to_val __gnu_cxx::__ops::__iter_equal_to_val | ( |  | ) |

inline

Definition at line 122 of file predefined_ops.h.

## __iter_equals_val()

template<typename _Value >

_Iter_equals_val< _Value > __gnu_cxx::__ops::__iter_equals_val | ( | _Value & | __val | ) |

inline

Definition at line 246 of file predefined_ops.h.

## __iter_less_iter()

_GLIBCXX14_CONSTEXPR _Iter_less_iter __gnu_cxx::__ops::__iter_less_iter | ( |  | ) |

inline

Definition at line 48 of file predefined_ops.h.

## __iter_less_val()

_Iter_less_val __gnu_cxx::__ops::__iter_less_val | ( |  | ) |

inline

Definition at line 69 of file predefined_ops.h.

## __negate()

template<typename _Predicate >

_Iter_negate< _Predicate > __gnu_cxx::__ops::__negate | ( | _Iter_pred< _Predicate > | __pred | ) |

inline

Definition at line 356 of file predefined_ops.h.

## __pred_iter()

template<typename _Predicate >

_Iter_pred< _Predicate > __gnu_cxx::__ops::__pred_iter | ( | _Predicate | __pred | ) |

inline

Definition at line 288 of file predefined_ops.h.

## __val_comp_iter() [1/3]

template<typename _Compare >

_Val_comp_iter< _Compare > __gnu_cxx::__ops::__val_comp_iter | ( | _Compare | __comp | ) |

inline

Definition at line 220 of file predefined_ops.h.

## __val_comp_iter() [2/3]

template<typename _Compare >

_Val_comp_iter< _Compare > __gnu_cxx::__ops::__val_comp_iter | ( | _Iter_comp_iter< _Compare > | __comp | ) |

inline

Definition at line 225 of file predefined_ops.h.

## __val_comp_iter() [3/3]

_Val_less_iter __gnu_cxx::__ops::__val_comp_iter | ( | _Iter_less_iter |  | ) |

inline

Definition at line 98 of file predefined_ops.h.

## __val_less_iter()

_Val_less_iter __gnu_cxx::__ops::__val_less_iter | ( |  | ) |

inline

Definition at line 94 of file predefined_ops.h.